diff --git a/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/TraktURIs.cs b/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/TraktURIs.cs
index f3bcff1..293a41b 100644
--- a/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/TraktURIs.cs
+++ b/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/TraktURIs.cs
@@ -1,94 +1,220 @@
-﻿namespace MediaPortal.Extensions.OnlineLibraries.Libraries.Trakt
+﻿namespace MediaPortal.Extensions.OnlineLibraries.Libraries.TraktAPI
 {
   /// <summary>
   /// List of URIs for the Trakt API
   /// </summary>
   public static class TraktURIs
   {
-    public const string ApiKey = "32414037ddd94db084ca56be1a60095f0d7520db"; // MP2 specific
-    public const string ScrobbleShow = @"http://api.trakt.tv/show/{0}/" + ApiKey;
-    public const string ScrobbleMovie = @"http://api.trakt.tv/movie/{0}/" + ApiKey;
-    public const string UserWatchedEpisodes = @"http://api.trakt.tv/user/library/shows/watched.json/" + ApiKey + @"/{0}{1}";
-    public const string UserWatchedMovies = @"http://api.trakt.tv/user/watched/movies.json/" + ApiKey + @"/{0}";
-    public const string UserProfile = @"http://api.trakt.tv/user/profile.json/" + ApiKey + @"/{0}";
-    public const string SeriesOverview = @"http://api.trakt.tv/show/summary.json/" + ApiKey + @"/{0}";
-    public const string SeriesOverviewExtended = @"http://api.trakt.tv/show/summary.json/" + ApiKey + @"/{0}/extended";
-    public const string UserEpisodesUnSeen = @"http://api.trakt.tv/user/library/shows/unseen.json/" + ApiKey + @"/{0}{1}";
-    public const string UserEpisodesCollection = @"http://api.trakt.tv/user/library/shows/collection.json/" + ApiKey + @"/{0}{1}";
-    public const string UserMoviesCollection = @"http://api.trakt.tv/user/library/movies/collection.json/" + ApiKey + @"/{0}";
-    public const string UserMoviesAll = @"http://api.trakt.tv/user/library/movies/all.json/" + ApiKey + @"/{0}{1}";
-    public const string SyncEpisodeLibrary = @"http://api.trakt.tv/show/episode/{0}/" + ApiKey;
-    public const string SyncShowWatchList = @"http://api.trakt.tv/show/{0}/" + ApiKey;
-    public const string SyncEpisodeWatchList = @"http://api.trakt.tv/show/episode/{0}/" + ApiKey;
-    public const string SyncMovieLibrary = @"http://api.trakt.tv/movie/{0}/" + ApiKey;
-    public const string SyncMovieWatchList = @"http://api.trakt.tv/movie/watchlist/" + ApiKey;
-    public const string MovieOverview = @"http://api.trakt.tv/movie/summary.json/" + ApiKey + @"/{0}";
-    public const string UserCalendarShows = @"http://api.trakt.tv/user/calendar/shows.json/" + ApiKey + @"/{0}/{1}/{2}";
-    public const string CalendarPremieres = @"http://api.trakt.tv/calendar/premieres.json/" + ApiKey + @"/{0}/{1}";
-    public const string CalendarAllShows = @"http://api.trakt.tv/calendar/shows.json/" + ApiKey + @"/{0}/{1}";
-    public const string UserFriends = @"http://api.trakt.tv/user/friends.json/" + ApiKey + @"/{0}";
-    public const string UserFriendsExtended = @"http://api.trakt.tv/user/friends.json/" + ApiKey + @"/{0}/extended";
-    public const string RateItem = @"http://api.trakt.tv/rate/{0}/" + ApiKey;
-    public const string TrendingMovies = @"http://api.trakt.tv/movies/trending.json/" + ApiKey;
-    public const string TrendingShows = @"http://api.trakt.tv/shows/trending.json/" + ApiKey;
-    public const string UserMovieRecommendations = @"http://api.trakt.tv/recommendations/movies/" + ApiKey;
-    public const string UserShowsRecommendations = @"http://api.trakt.tv/recommendations/shows/" + ApiKey;
-    public const string UserMovieWatchList = @"http://api.trakt.tv/user/watchlist/movies.json/" + ApiKey + @"/{0}";
-    public const string UserShowsWatchList = @"http://api.trakt.tv/user/watchlist/shows.json/" + ApiKey + @"/{0}";
-    public const string UserEpisodesWatchList = @"http://api.trakt.tv/user/watchlist/episodes.json/" + ApiKey + @"/{0}";
-    public const string UserRatedMoviesList = @"http://api.trakt.tv/user/ratings/movies.json/" + ApiKey + @"/{0}";
-    public const string UserRatedShowsList = @"http://api.trakt.tv/user/ratings/shows.json/" + ApiKey + @"/{0}";
-    public const string UserRatedEpisodesList = @"http://api.trakt.tv/user/ratings/episodes.json/" + ApiKey + @"/{0}";
-    public const string CreateAccount = @"http://api.trakt.tv/account/create/" + ApiKey;
-    public const string TestAccount = @"http://api.trakt.tv/account/test/" + ApiKey;
-    public const string UserEpisodeWatchedHistory = @"http://api.trakt.tv/user/watched/episodes.json/" + ApiKey + @"/{0}";
-    public const string UserMovieWatchedHistory = @"http://api.trakt.tv/user/watched/movies.json/" + ApiKey + @"/{0}";
-    public const string Friends = @"http://api.trakt.tv/friends/all/" + ApiKey;
-    public const string FriendRequests = @"http://api.trakt.tv/friends/requests/" + ApiKey;
-    public const string FriendAdd = @"http://api.trakt.tv/friends/add/" + ApiKey;
-    public const string FriendApprove = @"http://api.trakt.tv/friends/approve/" + ApiKey;
-    public const string FriendDeny = @"http://api.trakt.tv/friends/deny/" + ApiKey;
-    public const string FriendDelete = @"http://api.trakt.tv/friends/delete/" + ApiKey;
-    public const string SearchUsers = @"http://api.trakt.tv/search/users.json/" + ApiKey + @"?query={0}&limit={1}";
-    public const string SearchMovies = @"http://api.trakt.tv/search/movies.json/" + ApiKey + @"?query={0}&limit={1}";
-    public const string SearchShows = @"http://api.trakt.tv/search/shows.json/" + ApiKey + @"?query={0}&limit={1}";
-    public const string SearchEpisodes = @"http://api.trakt.tv/search/episodes.json/" + ApiKey + @"?query={0}&limit={1}";
-    public const string SearchPeople = @"http://api.trakt.tv/search/people.json/" + ApiKey + @"?query={0}&limit={1}";
-    public const string MovieShouts = @"http://api.trakt.tv/movie/comments.json/" + ApiKey + @"/{0}";
-    public const string ShowShouts = @"http://api.trakt.tv/show/comments.json/" + ApiKey + @"/{0}";
-    public const string EpisodeShouts = @"http://api.trakt.tv/show/episode/comments.json/" + ApiKey + @"/{0}/{1}/{2}";
-    public const string DismissMovieRecommendation = @"http://api.trakt.tv/recommendations/movies/dismiss/" + ApiKey;
-    public const string DismissShowRecommendation = @"http://api.trakt.tv/recommendations/shows/dismiss/" + ApiKey;
-    public const string ListAdd = @"http://api.trakt.tv/lists/add/" + ApiKey;
-    public const string ListDelete = @"http://api.trakt.tv/lists/delete/" + ApiKey;
-    public const string ListItemsAdd = @"http://api.trakt.tv/lists/items/add/" + ApiKey;
-    public const string ListItemsDelete = @"http://api.trakt.tv/lists/items/delete/" + ApiKey;
-    public const string ListUpdate = @"http://api.trakt.tv/lists/update/" + ApiKey;
-    public const string UserList = @"http://api.trakt.tv/user/list.json/" + ApiKey + @"/{0}/{1}";
-    public const string UserLists = @"http://api.trakt.tv/user/lists.json/" + ApiKey + @"/{0}";
-    public const string RelatedMovies = @"http://api.trakt.tv/movie/related.json/" + ApiKey + @"/{0}{1}";
-    public const string RelatedShows = @"http://api.trakt.tv/show/related.json/" + ApiKey + @"/{0}{1}";
-    public const string ActivityUser = @"http://api.trakt.tv/activity/user.json/" + ApiKey + @"/{0}/{1}/{2}";
-    public const string ActivityFriends = @"http://api.trakt.tv/activity/friends.json/" + ApiKey + @"/{0}/{1}{2}";
-    public const string ActivityFriendsMe = @"http://api.trakt.tv/activity/friendsme.json/" + ApiKey + @"/{0}/{1}{2}";
-    public const string ActivityCommunity = @"http://api.trakt.tv/activity/community.json/" + ApiKey + @"/{0}/{1}{2}";
-    public const string AccountSettings = @"http://api.trakt.tv/account/settings/" + ApiKey;
-    public const string RateMovies = @"http://api.trakt.tv/rate/movies/" + ApiKey;
-    public const string RateShows = @"http://api.trakt.tv/rate/shows/" + ApiKey;
-    public const string RateEpisodes = @"http://api.trakt.tv/rate/episodes/" + ApiKey;
-    public const string ShowSeasons = @"http://api.trakt.tv/show/seasons.json/" + ApiKey + @"/{0}";
-    public const string SeasonEpisodes = @"http://api.trakt.tv/show/season.json/" + ApiKey + @"/{0}/{1}";
-    public const string ShowSeen = @"http://api.trakt.tv/show/seen/" + ApiKey;
-    public const string SeasonSeen = @"http://api.trakt.tv/show/season/seen/" + ApiKey;
-    public const string ShowLibrary = @"http://api.trakt.tv/show/library/" + ApiKey;
-    public const string SeasonLibrary = @"http://api.trakt.tv/show/season/library/" + ApiKey;
-    public const string NetworkFriends = @"http://api.trakt.tv/user/network/friends.json/" + ApiKey + "/{0}";
-    public const string NetworkFollowers = @"http://api.trakt.tv/user/network/followers.json/" + ApiKey + "/{0}";
-    public const string NetworkFollowing = @"http://api.trakt.tv/user/network/following.json/" + ApiKey + "/{0}";
-    public const string NetworkRequests = @"http://api.trakt.tv/network/requests/" + ApiKey;
-    public const string NetworkFollow = @"http://api.trakt.tv/network/follow/" + ApiKey;
-    public const string NetworkUnFollow = @"http://api.trakt.tv/network/unfollow/" + ApiKey;
-    public const string NetworkApprove = @"http://api.trakt.tv/network/approve/" + ApiKey;
-    public const string NetworkDeny = @"http://api.trakt.tv/network/deny/" + ApiKey;
+    //public const string ApiKey = "32414037ddd94db084ca56be1a60095f0d7520db"; // MP2 specific
+    //public const string ScrobbleShow = @"http://api.trakt.tv/show/{0}/" + ApiKey;
+    //public const string ScrobbleMovie = @"http://api.trakt.tv/movie/{0}/" + ApiKey;
+    //public const string UserWatchedEpisodes = @"http://api.trakt.tv/user/library/shows/watched.json/" + ApiKey + @"/{0}{1}";
+    //public const string UserWatchedMovies = @"http://api.trakt.tv/user/watched/movies.json/" + ApiKey + @"/{0}";
+    //public const string UserProfile = @"http://api.trakt.tv/user/profile.json/" + ApiKey + @"/{0}";
+    //public const string SeriesOverview = @"http://api.trakt.tv/show/summary.json/" + ApiKey + @"/{0}";
+    //public const string SeriesOverviewExtended = @"http://api.trakt.tv/show/summary.json/" + ApiKey + @"/{0}/extended";
+    //public const string UserEpisodesUnSeen = @"http://api.trakt.tv/user/library/shows/unseen.json/" + ApiKey + @"/{0}{1}";
+    //public const string UserEpisodesCollection = @"http://api.trakt.tv/user/library/shows/collection.json/" + ApiKey + @"/{0}{1}";
+    //public const string UserMoviesCollection = @"http://api.trakt.tv/user/library/movies/collection.json/" + ApiKey + @"/{0}";
+    //public const string UserMoviesAll = @"http://api.trakt.tv/user/library/movies/all.json/" + ApiKey + @"/{0}{1}";
+    //public const string SyncEpisodeLibrary = @"http://api.trakt.tv/show/episode/{0}/" + ApiKey;
+    //public const string SyncShowWatchList = @"http://api.trakt.tv/show/{0}/" + ApiKey;
+    //public const string SyncEpisodeWatchList = @"http://api.trakt.tv/show/episode/{0}/" + ApiKey;
+    //public const string SyncMovieLibrary = @"http://api.trakt.tv/movie/{0}/" + ApiKey;
+    //public const string SyncMovieWatchList = @"http://api.trakt.tv/movie/watchlist/" + ApiKey;
+    //public const string MovieOverview = @"http://api.trakt.tv/movie/summary.json/" + ApiKey + @"/{0}";
+    //public const string UserCalendarShows = @"http://api.trakt.tv/user/calendar/shows.json/" + ApiKey + @"/{0}/{1}/{2}";
+    //public const string CalendarPremieres = @"http://api.trakt.tv/calendar/premieres.json/" + ApiKey + @"/{0}/{1}";
+    //public const string CalendarAllShows = @"http://api.trakt.tv/calendar/shows.json/" + ApiKey + @"/{0}/{1}";
+    //public const string UserFriends = @"http://api.trakt.tv/user/friends.json/" + ApiKey + @"/{0}";
+    //public const string UserFriendsExtended = @"http://api.trakt.tv/user/friends.json/" + ApiKey + @"/{0}/extended";
+    //public const string RateItem = @"http://api.trakt.tv/rate/{0}/" + ApiKey;
+    //public const string TrendingMovies = @"http://api.trakt.tv/movies/trending.json/" + ApiKey;
+    //public const string TrendingShows = @"http://api.trakt.tv/shows/trending.json/" + ApiKey;
+    //public const string UserMovieRecommendations = @"http://api.trakt.tv/recommendations/movies/" + ApiKey;
+    //public const string UserShowsRecommendations = @"http://api.trakt.tv/recommendations/shows/" + ApiKey;
+    //public const string UserMovieWatchList = @"http://api.trakt.tv/user/watchlist/movies.json/" + ApiKey + @"/{0}";
+    //public const string UserShowsWatchList = @"http://api.trakt.tv/user/watchlist/shows.json/" + ApiKey + @"/{0}";
+    //public const string UserEpisodesWatchList = @"http://api.trakt.tv/user/watchlist/episodes.json/" + ApiKey + @"/{0}";
+    //public const string UserRatedMoviesList = @"http://api.trakt.tv/user/ratings/movies.json/" + ApiKey + @"/{0}";
+    //public const string UserRatedShowsList = @"http://api.trakt.tv/user/ratings/shows.json/" + ApiKey + @"/{0}";
+    //public const string UserRatedEpisodesList = @"http://api.trakt.tv/user/ratings/episodes.json/" + ApiKey + @"/{0}";
+    //public const string CreateAccount = @"http://api.trakt.tv/account/create/" + ApiKey;
+    //public const string TestAccount = @"http://api.trakt.tv/account/test/" + ApiKey;
+    //public const string UserEpisodeWatchedHistory = @"http://api.trakt.tv/user/watched/episodes.json/" + ApiKey + @"/{0}";
+    //public const string UserMovieWatchedHistory = @"http://api.trakt.tv/user/watched/movies.json/" + ApiKey + @"/{0}";
+    //public const string Friends = @"http://api.trakt.tv/friends/all/" + ApiKey;
+    //public const string FriendRequests = @"http://api.trakt.tv/friends/requests/" + ApiKey;
+    //public const string FriendAdd = @"http://api.trakt.tv/friends/add/" + ApiKey;
+    //public const string FriendApprove = @"http://api.trakt.tv/friends/approve/" + ApiKey;
+    //public const string FriendDeny = @"http://api.trakt.tv/friends/deny/" + ApiKey;
+    //public const string FriendDelete = @"http://api.trakt.tv/friends/delete/" + ApiKey;
+    //public const string SearchUsers = @"http://api.trakt.tv/search/users.json/" + ApiKey + @"?query={0}&limit={1}";
+    //public const string SearchMovies = @"http://api.trakt.tv/search/movies.json/" + ApiKey + @"?query={0}&limit={1}";
+    //public const string SearchShows = @"http://api.trakt.tv/search/shows.json/" + ApiKey + @"?query={0}&limit={1}";
+    //public const string SearchEpisodes = @"http://api.trakt.tv/search/episodes.json/" + ApiKey + @"?query={0}&limit={1}";
+    //public const string SearchPeople = @"http://api.trakt.tv/search/people.json/" + ApiKey + @"?query={0}&limit={1}";
+    //public const string MovieShouts = @"http://api.trakt.tv/movie/comments.json/" + ApiKey + @"/{0}";
+    //public const string ShowShouts = @"http://api.trakt.tv/show/comments.json/" + ApiKey + @"/{0}";
+    //public const string EpisodeShouts = @"http://api.trakt.tv/show/episode/comments.json/" + ApiKey + @"/{0}/{1}/{2}";
+    //public const string DismissMovieRecommendation = @"http://api.trakt.tv/recommendations/movies/dismiss/" + ApiKey;
+    //public const string DismissShowRecommendation = @"http://api.trakt.tv/recommendations/shows/dismiss/" + ApiKey;
+    //public const string ListAdd = @"http://api.trakt.tv/lists/add/" + ApiKey;
+    //public const string ListDelete = @"http://api.trakt.tv/lists/delete/" + ApiKey;
+    //public const string ListItemsAdd = @"http://api.trakt.tv/lists/items/add/" + ApiKey;
+    //public const string ListItemsDelete = @"http://api.trakt.tv/lists/items/delete/" + ApiKey;
+    //public const string ListUpdate = @"http://api.trakt.tv/lists/update/" + ApiKey;
+    //public const string UserList = @"http://api.trakt.tv/user/list.json/" + ApiKey + @"/{0}/{1}";
+    //public const string UserLists = @"http://api.trakt.tv/user/lists.json/" + ApiKey + @"/{0}";
+    //public const string RelatedMovies = @"http://api.trakt.tv/movie/related.json/" + ApiKey + @"/{0}{1}";
+    //public const string RelatedShows = @"http://api.trakt.tv/show/related.json/" + ApiKey + @"/{0}{1}";
+    //public const string ActivityUser = @"http://api.trakt.tv/activity/user.json/" + ApiKey + @"/{0}/{1}/{2}";
+    //public const string ActivityFriends = @"http://api.trakt.tv/activity/friends.json/" + ApiKey + @"/{0}/{1}{2}";
+    //public const string ActivityFriendsMe = @"http://api.trakt.tv/activity/friendsme.json/" + ApiKey + @"/{0}/{1}{2}";
+    //public const string ActivityCommunity = @"http://api.trakt.tv/activity/community.json/" + ApiKey + @"/{0}/{1}{2}";
+    //public const string AccountSettings = @"http://api.trakt.tv/account/settings/" + ApiKey;
+    //public const string RateMovies = @"http://api.trakt.tv/rate/movies/" + ApiKey;
+    //public const string RateShows = @"http://api.trakt.tv/rate/shows/" + ApiKey;
+    //public const string RateEpisodes = @"http://api.trakt.tv/rate/episodes/" + ApiKey;
+    //public const string ShowSeasons = @"http://api.trakt.tv/show/seasons.json/" + ApiKey + @"/{0}";
+    //public const string SeasonEpisodes = @"http://api.trakt.tv/show/season.json/" + ApiKey + @"/{0}/{1}";
+    //public const string ShowSeen = @"http://api.trakt.tv/show/seen/" + ApiKey;
+    //public const string SeasonSeen = @"http://api.trakt.tv/show/season/seen/" + ApiKey;
+    //public const string ShowLibrary = @"http://api.trakt.tv/show/library/" + ApiKey;
+    //public const string SeasonLibrary = @"http://api.trakt.tv/show/season/library/" + ApiKey;
+    //public const string NetworkFriends = @"http://api.trakt.tv/user/network/friends.json/" + ApiKey + "/{0}";
+    //public const string NetworkFollowers = @"http://api.trakt.tv/user/network/followers.json/" + ApiKey + "/{0}";
+    //public const string NetworkFollowing = @"http://api.trakt.tv/user/network/following.json/" + ApiKey + "/{0}";
+    //public const string NetworkRequests = @"http://api.trakt.tv/network/requests/" + ApiKey;
+    //public const string NetworkFollow = @"http://api.trakt.tv/network/follow/" + ApiKey;
+    //public const string NetworkUnFollow = @"http://api.trakt.tv/network/unfollow/" + ApiKey;
+    //public const string NetworkApprove = @"http://api.trakt.tv/network/approve/" + ApiKey;
+    //public const string NetworkDeny = @"http://api.trakt.tv/network/deny/" + ApiKey;
+
+
+    public const string Login = "https://api-v2launch.trakt.tv/auth/login";
+
+    public const string SyncLastActivities = "https://api-v2launch.trakt.tv/sync/last_activities";
+
+    public const string SyncPausedMovies = "https://api-v2launch.trakt.tv/sync/playback/movies";
+    public const string SyncPausedEpisodes = "https://api-v2launch.trakt.tv/sync/playback/episodes";
+
+    public const string SyncCollectionMovies = "https://api-v2launch.trakt.tv/sync/collection/movies";
+    public const string SyncWatchedMovies = "https://api-v2launch.trakt.tv/sync/watched/movies";
+    public const string SyncRatedMovies = "https://api-v2launch.trakt.tv/sync/ratings/movies";
+
+    public const string SyncCollectionEpisodes = "https://api-v2launch.trakt.tv/sync/collection/shows";
+    public const string SyncWatchedEpisodes = "https://api-v2launch.trakt.tv/sync/watched/shows";
+    public const string SyncRatedEpisodes = "https://api-v2launch.trakt.tv/sync/ratings/episodes";
+    public const string SyncRatedSeasons = "https://api-v2launch.trakt.tv/sync/ratings/seasons";
+    public const string SyncRatedShows = "https://api-v2launch.trakt.tv/sync/ratings/shows";
+
+    public const string SyncCollectionAdd = "https://api-v2launch.trakt.tv/sync/collection";
+    public const string SyncCollectionRemove = "https://api-v2launch.trakt.tv/sync/collection/remove";
+    public const string SyncWatchedHistoryAdd = "https://api-v2launch.trakt.tv/sync/history";
+    public const string SyncWatchedHistoryRemove = "https://api-v2launch.trakt.tv/sync/history/remove";
+    public const string SyncRatingsAdd = "https://api-v2launch.trakt.tv/sync/ratings";
+    public const string SyncRatingsRemove = "https://api-v2launch.trakt.tv/sync/ratings/remove";
+    public const string SyncWatchlistAdd = "https://api-v2launch.trakt.tv/sync/watchlist";
+    public const string SyncWatchlistRemove = "https://api-v2launch.trakt.tv/sync/watchlist/remove";
+
+    public const string UserLists = "https://api-v2launch.trakt.tv/users/{0}/lists";
+    public const string UserListItems = "https://api-v2launch.trakt.tv/users/{0}/lists/{1}/items?extended={2}";
+
+    public const string UserListAdd = "https://api-v2launch.trakt.tv/users/{0}/lists";
+    public const string UserListEdit = "https://api-v2launch.trakt.tv/users/{0}/lists/{1}";
+
+    public const string UserListItemsAdd = "https://api-v2launch.trakt.tv/users/{0}/lists/{1}/items";
+    public const string UserListItemsRemove = "https://api-v2launch.trakt.tv/users/{0}/lists/{1}/items/remove";
+
+    public const string UserListLike = "https://api-v2launch.trakt.tv/users/{0}/lists/{1}/like";
+
+    public const string UserWatchlistMovies = "https://api-v2launch.trakt.tv/users/{0}/watchlist/movies?extended={1}";
+    public const string UserWatchlistShows = "https://api-v2launch.trakt.tv/users/{0}/watchlist/shows?extended={1}";
+    public const string UserWatchlistSeasons = "https://api-v2launch.trakt.tv/users/{0}/watchlist/seasons?extended={1}";
+    public const string UserWatchlistEpisodes = "https://api-v2launch.trakt.tv/users/{0}/watchlist/episodes?extended={1}";
+
+    public const string UserProfile = "https://api-v2launch.trakt.tv/users/{0}?extended=full,images";
+    public const string UserFollowerRequests = "https://api-v2launch.trakt.tv/users/requests?extended=full,images";
+    public const string UserStats = "https://api-v2launch.trakt.tv/users/{0}/stats";
+
+    public const string UserWatchedHistoryMovies = "https://api-v2launch.trakt.tv/users/{0}/history/movies?extended=full,images&page={1}&limit={2}";
+    public const string UserWatchedHistoryEpisodes = "https://api-v2launch.trakt.tv/users/{0}/history/episodes?extended=full,images&page={1}&limit={2}";
+
+    public const string UserCollectedMovies = "https://api-v2launch.trakt.tv/users/{0}/collection/movies?extended=full,images";
+    public const string UserCollectedShows = "https://api-v2launch.trakt.tv/users/{0}/collection/shows?extended=full,images";
+
+    public const string UserComments = "https://api-v2launch.trakt.tv/users/{0}/comments/{1}/{2}?extended={3}&page={4}&limit={5}";
+
+    public const string UserLikedItems = "https://api-v2launch.trakt.tv/users/likes/{0}?extended={1}&page={2}&limit={3}";
+
+    public const string RecommendedMovies = "https://api-v2launch.trakt.tv/recommendations/movies?extended={0}";
+    public const string RecommendedShows = "https://api-v2launch.trakt.tv/recommendations/shows?extended=full,images";
+
+    public const string RelatedMovies = "https://api-v2launch.trakt.tv/movies/{0}/related?extended=full,images&limit={1}";
+    public const string RelatedShows = "https://api-v2launch.trakt.tv/shows/{0}/related?extended=full,images&limit={1}";
+
+    public const string TrendingMovies = "https://api-v2launch.trakt.tv/movies/trending?extended=full,images&page={0}&limit={1}";
+    public const string TrendingShows = "https://api-v2launch.trakt.tv/shows/trending?extended=full,images&page={0}&limit={1}";
+
+    public const string PopularMovies = "https://api-v2launch.trakt.tv/movies/popular?extended=full,images&page={0}&limit={1}";
+    public const string PopularShows = "https://api-v2launch.trakt.tv/shows/popular?extended=full,images&page={0}&limit={1}";
+
+    public const string MovieComments = "https://api-v2launch.trakt.tv/movies/{0}/comments?extended=full,images&page={1}&limit={2}";
+    public const string ShowComments = "https://api-v2launch.trakt.tv/shows/{0}/comments?extended=full,images&page={1}&limit={2}";
+    public const string SeasonComments = "https://api-v2launch.trakt.tv/shows/{0}/seasons/{1}/comments?extended=full,images&page={2}&limit={3}";
+    public const string EpisodeComments = "https://api-v2launch.trakt.tv/shows/{0}/seasons/{1}/episodes/{2}/comments?extended=full,images&page={3}&limit={4}";
+
+    public const string CommentLike = "https://api-v2launch.trakt.tv/comments/{0}/like";
+    public const string CommentReplies = "https://api-v2launch.trakt.tv/comments/{0}/replies";
+
+    public const string SearchMovies = "https://api-v2launch.trakt.tv/search?query={0}&type=movie&page={1}&limit={2}?extended=full,images";
+    public const string SearchShows = "https://api-v2launch.trakt.tv/search?query={0}&type=show&page={1}&limit={2}?extended=full,images";
+    public const string SearchEpisodes = "https://api-v2launch.trakt.tv/search?query={0}&type=episode&page={1}&limit={2}?extended=full,images";
+    public const string SearchPeople = "https://api-v2launch.trakt.tv/search?query={0}&type=person&page={1}&limit={2}?extended=full,images";
+    public const string SearchUsers = "https://api-v2launch.trakt.tv/search?query={0}&type=user&page={1}&limit={2}?extended=full,images";
+    public const string SearchLists = "https://api-v2launch.trakt.tv/search?query={0}&type=list&page={1}&limit={2}?extended=full,images";
+    public const string SearchById = "https://api-v2launch.trakt.tv/search?id_type={0}&id={1}";
+
+    public const string NetworkFriends = "https://api-v2launch.trakt.tv/users/{0}/friends?extended=full,images";
+    public const string NetworkFollowers = "https://api-v2launch.trakt.tv/users/{0}/followers?extended=full,images";
+    public const string NetworkFollowing = "https://api-v2launch.trakt.tv/users/{0}/following?extended=full,images";
+
+    public const string NetworkFollowRequest = "https://api-v2launch.trakt.tv/users/requests/{0}";
+    public const string NetworkFollowUser = "https://api-v2launch.trakt.tv/users/{0}/follow";
+
+    public const string ShowSummary = "https://api-v2launch.trakt.tv/shows/{0}?extended=full,images";
+    public const string MovieSummary = "https://api-v2launch.trakt.tv/movies/{0}?extended=full,images";
+    public const string EpisodeSummary = "https://api-v2launch.trakt.tv/shows/{0}/seasons/{1}/episodes/{2}?extended=full,images";
+
+    public const string ShowSeasons = "https://api-v2launch.trakt.tv/shows/{0}/seasons?extended={1}";
+    public const string SeasonEpisodes = "https://api-v2launch.trakt.tv/shows/{0}/seasons/{1}?extended=full,images";
+
+    public const string CalendarShows = "https://api-v2launch.trakt.tv/calendars/shows/{0}/{1}?extended=full,images";
+    public const string CalendarPremieres = "https://api-v2launch.trakt.tv/calendars/shows/premieres/{0}/{1}?extended=full,images";
+    public const string CalendarNewPremieres = "https://api-v2launch.trakt.tv/calendars/shows/new/{0}/{1}?extended=full,images";
+
+    public const string ScrobbleStart = "https://api-v2launch.trakt.tv/scrobble/start";
+    public const string ScrobblePause = "https://api-v2launch.trakt.tv/scrobble/pause";
+    public const string ScrobbleStop = "https://api-v2launch.trakt.tv/scrobble/stop";
+
+    public const string ShowRatings = "https://api-v2launch.trakt.tv/shows/{0}/ratings";
+    public const string SeasonRatings = "https://api-v2launch.trakt.tv/shows/{0}/seasons/{1}/ratings";
+    public const string EpisodeRatings = "https://api-v2launch.trakt.tv/shows/{0}/seasons/{1}/episodes/{2}/ratings";
+
+    public const string PersonMovieCredits = "https://api-v2launch.trakt.tv/people/{0}/movies?extended=full,images";
+    public const string PersonShowCredits = "https://api-v2launch.trakt.tv/people/{0}/shows?extended=full,images";
+    public const string PersonSummary = "https://api-v2launch.trakt.tv/people/{0}?extended=full,images";
+
+    public const string MoviePeople = "https://api-v2launch.trakt.tv/movie/{0}/people?extended=full,images";
+    public const string ShowPeople = "https://api-v2launch.trakt.tv/show/{0}/people?extended=full,images";
+
+    public const string ShowUpdates = "https://api-v2launch.trakt.tv/shows/updates/{0}?page={1}&limit={2}";
+    public const string MovieUpdates = "https://api-v2launch.trakt.tv/movies/updates/{0}?page={1}&limit={2}";
+
+    public const string DismissRecommendedMovie = "https://api-v2launch.trakt.tv/recommendations/movies/{0}";
+    public const string DismissRecommendedShow = "https://api-v2launch.trakt.tv/recommendations/shows/{0}";
+
+    public const string DeleteList = "https://api-v2launch.trakt.tv/users/{0}/lists/{1}";
   }
-}
+}
\ No newline at end of file
